Bug 202193 - CVE-2006-3743 ImageMagick multiple security issues (CVE-2006-3744)
CVE-2006-3743 ImageMagick multiple security issues (CVE-2006-3744)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
source=vendorsec,reported=20060810,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 10:20 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0633
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 07:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Tavis (4.37 KB, patch)
2006-08-11 10:23 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-08-11 10:20:45 EDT
Tavis Ormandy, Google Security Team, told us about several integer and buffer
overflow flaws in ImageMagick.  These flaws are present in ImageMagick's sun
bitmap decoder and the xcf decoder.
Comment 1 Josh Bressers 2006-08-11 10:21:24 EDT
These issues also affect RHEL2 and RHEL3
Comment 4 Josh Bressers 2006-08-11 10:23:45 EDT
Created attachment 134022 [details]
Proposed patch from Tavis
Comment 5 Matthias Clasen 2006-08-14 12:44:15 EDT
I have created a RHTS testcase with the demo images, and I have
built 

ImageMagick-5.3.8-15 (RHEL2.1)
ImageMagick-5.5.6-19 (RHEL3)
ImageMagick-6.0.7.1-15 (RHEL4)

with the fix. 

Note that I had no chance to verify the testcase or test the fix yet, since RHTS
is down.
Comment 6 Josh Bressers 2006-08-14 16:10:03 EDT
This errata will be RHSA-2006:0633
Comment 9 Red Hat Bugzilla 2006-08-24 07:49:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0633.html

Note You need to log in before you can comment on or make changes to this bug.